# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2009 by Juergen Beisert
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LTP_BASE) += ltp_base

#
# Paths and names
#
LTP_BASE_VERSION	:= 20090131
LTP_BASE		:= ltp-full-$(LTP_BASE_VERSION)
LTP_BASE_SUFFIX		:= tgz
LTP_BASE_URL		:= $(PTXCONF_SETUP_SFMIRROR)/ltp/$(LTP_BASE).$(LTP_BASE_SUFFIX)
LTP_BASE_SOURCE		:= $(SRCDIR)/$(LTP_BASE).$(LTP_BASE_SUFFIX)
LTP_BASE_DIR		:= $(BUILDDIR)/$(LTP_BASE)
LTP_BASE_BIN_DIR	:= /usr/bin/ltp

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(LTP_BASE_SOURCE):
	@$(call targetinfo)
	@$(call get, LTP_BASE)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/ltp_base.extract:
	@$(call targetinfo)
	@$(call clean, $(LTP_BASE_DIR))
	@$(call extract, LTP_BASE)
	@$(call patchin, LTP_BASE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

LTP_BASE_PATH	:= PATH=$(CROSS_PATH)
LTP_BASE_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
LTP_BASE_AUTOCONF := $(CROSS_AUTOCONF_USR) \
	--disable-dependency-tracking

$(STATEDIR)/ltp_base.prepare:
	@$(call targetinfo)
	@$(call clean, $(LTP_BASE_DIR)/config.cache)
	cd $(LTP_BASE_DIR) && \
		$(LTP_BASE_PATH) $(LTP_BASE_ENV) \
		./configure $(LTP_BASE_AUTOCONF)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ltp_base.compile:
	@$(call targetinfo)
	cd $(LTP_BASE_DIR) && $(LTP_BASE_PATH) $(MAKE) $(PARALLELMFLAGS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ltp_base.install:
	@$(call targetinfo)
	@$(call install, LTP_BASE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ltp_base.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ltp_base)
	@$(call install_fixup, ltp_base,PACKAGE,ltp_base)
	@$(call install_fixup, ltp_base,PRIORITY,optional)
	@$(call install_fixup, ltp_base,VERSION,$(LTP_BASE_VERSION))
	@$(call install_fixup, ltp_base,SECTION,base)
	@$(call install_fixup, ltp_base,AUTHOR,"Juergen Beisert\@pengutronix.de")
	@$(call install_fixup, ltp_base,DEPENDS,)
	@$(call install_fixup, ltp_base,DESCRIPTION,missing)

# just a test
	@$(call install_copy, ltp_base, 0, 0, 0755, /home)
	@$(call install_copy, ltp_base, 0, 0, 0755, /home/testcases)
	@$(call install_copy, ltp_base, 0, 0, 0755, /home/testcases/bin)

# some tools are mandatory

# a useful tool to control processes that run amok (not really yet)
	$(call install_copy, ltp_base, 0, 0, 0755, \
		$(LTP_BASE_DIR)/pan/pan, \
		/usr/sbin/pan)

	@cd $(LTP_BASE_DIR)/testcases; \
	for file in `find bin -type f`; do \
		PER=`stat -c "%a" $$file` \
		$(call install_copy, ltp_base, 0, 0, $$PER, \
			$$file, \
			/home/testcases/$$file) \
	done

	@$(call install_copy, ltp_base, 0, 0, 0755, /home/testcases/bin/dumpdir)
	@cd $(LTP_BASE_DIR)/testcases; \
	for file in `find bin/dumpdir -type f`; do \
		PER=`stat -c "%a" $$file` \
		$(call install_copy, ltp_base, 0, 0, $$PER, \
			$$file, \
			/home/testcases/$$file) \
	done

	@$(call install_finish, ltp_base)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

ltp_base_clean:
	rm -rf $(STATEDIR)/ltp_base.*
	rm -rf $(PKGDIR)/ltp_base_*
	rm -rf $(LTP_BASE_DIR)

# vim: syntax=make
